IriSP.social = function(sel, url) {
    
    var sel = sel || $(".Ldt-Social"),
        url = url || document.location.href,
        text = sel.find("title").text(),
        clipId = IriSP.Model.getUID(),
        clip;

    sel.find(".Ldt-Social-CopyBtn").attr("id", this.clipId);

    sel.find(".Ldt-Social-Url").click(function() {
        var _pop = sel.find(".Ldt-Social-UrlPop");
        _pop.toggle();
        if (_pop.is(":visible")) {
            if (typeof clip == "undefined") {
                clip = new ZeroClipboard.Client();
                clip.setHandCursor( true );
                clip.glue(clipId);
                
                clip.addEventListener( 'onMouseUp', function() {
                    _pop.hide();
                    clip.hide();
                });
            }
            clip.show();
            clip.setText( url );
            sel.find(".Ldt-Social-Input").val(url).focus();
        } else {
            clip.hide();
        }
        return false;
    });
    sel.find(".Ldt-Social-Input").focus(function() {
        this.select();
    });
    sel.find(".Ldt-Social-Ext").click(function() {
        window.open(
            sel.find(this).attr("href"),
            "_blank",
            "height=300,width=450,left=100,top=100,toolbar=0,menubar=0,status=0,location=0");
        return false;
    });
    
    sel.find(".Ldt-Social-Fb").attr("href", "http://www.facebook.com/share.php?" + $.param({ u: url, t: text }));
    sel.find(".Ldt-Social-Twitter").attr("href", "https://twitter.com/intent/tweet?" + $.param({ url: url, text: text }));
    sel.find(".Ldt-Social-Gplus").attr("href", "https://plus.google.com/share?" + $.param({ url: url, title: text }));
    sel.find(".Ldt-Social-Mail").attr("href", "mailto:?" + $.param({ subject: text, body: text + ": " + url }));
}

/* END social.js */
